$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.23.14-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.23.14-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '3A2FA6D170890790A8C5943AEA278DC438073A5D6F8A8D442D4A10262B49CA9B'
  checksumType = 'sha256'
  checksum64 = '3A2FA6D170890790A8C5943AEA278DC438073A5D6F8A8D442D4A10262B49CA9B'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.23.14-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
